/*-------------------------------------------------------------------------
 |                                                                         
 |                    SAS SETUP FILE FOR 
 |NATIONAL SURVEY OF SUBSTANCE ABUSE TREATMENT SERVICES -- (NSSATS_2012)
 |                            2012
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

* SAS DATA STEP;
DATA;
SET SAS-dataset ;

* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
 IF (CASEID  < 0) THEN CASEID  = .;
 IF (DETOX  < 0) THEN DETOX  = .;
 IF (TREATMT  < 0) THEN TREATMT  = .;
 IF (OWNERSHP  < 0) THEN OWNERSHP  = .;
 IF (FEDOWN  < 0) THEN FEDOWN  = .;
 IF (HOSPITAL  < 0) THEN HOSPITAL  = .;
 IF (LOCS  < 0) THEN LOCS  = .;
 IF (ASSESSMENT  < 0) THEN ASSESSMENT  = .;
 IF (TESTING  < 0) THEN TESTING  = .;
 IF (TRANSITION  < 0) THEN TRANSITION  = .;
 IF (ANCILLARY  < 0) THEN ANCILLARY  = .;
 IF (SRVC75  < 0) THEN SRVC75  = .;
 IF (SRVC71  < 0) THEN SRVC71  = .;
 IF (SRVC108  < 0) THEN SRVC108  = .;
 IF (SRVC85  < 0) THEN SRVC85  = .;
 IF (SRVC87  < 0) THEN SRVC87  = .;
 IF (SRVC86  < 0) THEN SRVC86  = .;
 IF (OTP  < 0) THEN OTP  = .;
 IF (OTPALL  < 0) THEN OTPALL  = .;
 IF (OTPTYPE  < 0) THEN OTPTYPE  = .;
 IF (COMPSAT  < 0) THEN COMPSAT  = .;
 IF (DUI_DWI  < 0) THEN DUI_DWI  = .;
 IF (ONLYDUI  < 0) THEN ONLYDUI  = .;
 IF (SIGNLANG  < 0) THEN SIGNLANG  = .;
 IF (LANG  < 0) THEN LANG  = .;
 IF (LANG16  < 0) THEN LANG16  = .;
 IF (LANG1  < 0) THEN LANG1  = .;
 IF (LANG2  < 0) THEN LANG2  = .;
 IF (LANG3  < 0) THEN LANG3  = .;
 IF (LANG4  < 0) THEN LANG4  = .;
 IF (LANG5  < 0) THEN LANG5  = .;
 IF (LANG6  < 0) THEN LANG6  = .;
 IF (LANG7  < 0) THEN LANG7  = .;
 IF (LANG8  < 0) THEN LANG8  = .;
 IF (LANG9  < 0) THEN LANG9  = .;
 IF (LANG10  < 0) THEN LANG10  = .;
 IF (LANG11  < 0) THEN LANG11  = .;
 IF (LANG19  < 0) THEN LANG19  = .;
 IF (LANG12  < 0) THEN LANG12  = .;
 IF (LANG13  < 0) THEN LANG13  = .;
 IF (LANG14  < 0) THEN LANG14  = .;
 IF (LANG15  < 0) THEN LANG15  = .;
 IF (LANG20  < 0) THEN LANG20  = .;
 IF (LANG17  < 0) THEN LANG17  = .;
 IF (LANG18  < 0) THEN LANG18  = .;
 IF (SRVC76  < 0) THEN SRVC76  = .;
 IF (SRVC83  < 0) THEN SRVC83  = .;
 IF (SRVC84  < 0) THEN SRVC84  = .;
 IF (SRVC33  < 0) THEN SRVC33  = .;
 IF (SRVC63  < 0) THEN SRVC63  = .;
 IF (SRVC62  < 0) THEN SRVC62  = .;
 IF (SRVC113  < 0) THEN SRVC113  = .;
 IF (SRVC114  < 0) THEN SRVC114  = .;
 IF (SRVC115  < 0) THEN SRVC115  = .;
 IF (SRVC61  < 0) THEN SRVC61  = .;
 IF (SRVC31  < 0) THEN SRVC31  = .;
 IF (SRVC32  < 0) THEN SRVC32  = .;
 IF (SRVC116  < 0) THEN SRVC116  = .;
 IF (CTYPE4  < 0) THEN CTYPE4  = .;
 IF (CTYPEHI1  < 0) THEN CTYPEHI1  = .;
 IF (CTYPEHI2  < 0) THEN CTYPEHI2  = .;
 IF (CTYPE7  < 0) THEN CTYPE7  = .;
 IF (CTYPERC1  < 0) THEN CTYPERC1  = .;
 IF (CTYPERC3  < 0) THEN CTYPERC3  = .;
 IF (CTYPERC4  < 0) THEN CTYPERC4  = .;
 IF (CTYPE1  < 0) THEN CTYPE1  = .;
 IF (CTYPE6  < 0) THEN CTYPE6  = .;
 IF (CTYPEML  < 0) THEN CTYPEML  = .;
 IF (CTYPEOP  < 0) THEN CTYPEOP  = .;
 IF (CTYPE2  < 0) THEN CTYPE2  = .;
 IF (CTYPE3  < 0) THEN CTYPE3  = .;
 IF (FEESCALE  < 0) THEN FEESCALE  = .;
 IF (PAYASST  < 0) THEN PAYASST  = .;
 IF (EARMARK  < 0) THEN EARMARK  = .;
 IF (REVCHK3  < 0) THEN REVCHK3  = .;
 IF (REVCHK1  < 0) THEN REVCHK1  = .;
 IF (REVCHK8  < 0) THEN REVCHK8  = .;
 IF (REVCHK5  < 0) THEN REVCHK5  = .;
 IF (REVCHK10  < 0) THEN REVCHK10  = .;
 IF (REVCHK15  < 0) THEN REVCHK15  = .;
 IF (REVCHK2  < 0) THEN REVCHK2  = .;
 IF (REVCHK17  < 0) THEN REVCHK17  = .;
 IF (T_CLI1  < 0) THEN T_CLI1  = .;
 IF (T_CLI2  < 0) THEN T_CLI2  = .;
 IF (T_CLIHI  < 0) THEN T_CLIHI  = .;
 IF (H_AGE1  < 0) THEN H_AGE1  = .;
 IF (HIMETNUM  < 0) THEN HIMETNUM  = .;
 IF (HIBUPNUM  < 0) THEN HIBUPNUM  = .;
 IF (HIMATNUM  < 0) THEN HIMATNUM  = .;
 IF (HOSPBED  < 0) THEN HOSPBED  = .;
 IF (T_CLI3  < 0) THEN T_CLI3  = .;
 IF (T_CLI9  < 0) THEN T_CLI9  = .;
 IF (T_CLI10  < 0) THEN T_CLI10  = .;
 IF (T_CLIRC  < 0) THEN T_CLIRC  = .;
 IF (R_AGE1  < 0) THEN R_AGE1  = .;
 IF (RCMETNUM  < 0) THEN RCMETNUM  = .;
 IF (RCBUPNUM  < 0) THEN RCBUPNUM  = .;
 IF (RCMATNUM  < 0) THEN RCMATNUM  = .;
 IF (RESBED  < 0) THEN RESBED  = .;
 IF (T_CLI7  < 0) THEN T_CLI7  = .;
 IF (T_CLIML  < 0) THEN T_CLIML  = .;
 IF (T_CLI8  < 0) THEN T_CLI8  = .;
 IF (T_CLI6  < 0) THEN T_CLI6  = .;
 IF (T_CLI5  < 0) THEN T_CLI5  = .;
 IF (T_CLIOP  < 0) THEN T_CLIOP  = .;
 IF (O_AGE1  < 0) THEN O_AGE1  = .;
 IF (OPMETNUM  < 0) THEN OPMETNUM  = .;
 IF (OPBUPNUM  < 0) THEN OPBUPNUM  = .;
 IF (OPMATNUM  < 0) THEN OPMATNUM  = .;
 IF (B_PCT  < 0) THEN B_PCT  = .;
 IF (A_PCT  < 0) THEN A_PCT  = .;
 IF (D_PCT  < 0) THEN D_PCT  = .;
 IF (LOC5  < 0) THEN LOC5  = .;
 IF (LICEN  < 0) THEN LICEN  = .;
 IF (ACCRED  < 0) THEN ACCRED  = .;
 */

RUN ;
